### Method

# GLib VariantBuilder unref

since: 2.24

#### Declaration [src]

    void
    g_variant_builder_unref (
      GVariantBuilder* builder
    )

#### Description [src]

Decreases the reference count on `builder`.

In the event that there are no more references, releases all memory associated with the `GVariantBuilder`.

Don’t call this on stack-allocated `GVariantBuilder` instances or bad things will happen.

Available since: 2.24

#### Parameters

`builder`

  Type: `GVariantBuilder`

  A `GVariantBuilder` allocated by g_variant_builder_new().

  The instance takes ownership of the data, and is responsible for freeing it.